\name{stamNode-class}
\docType{class}
\alias{stamNode-class}
\alias{getGOchildren,stamNode-method}
\alias{getGOchildren,character-method}
\alias{getGOparents,stamNode-method}
\alias{getGOparents,character-method}
\alias{getGOterm,stamNode-method}
\alias{getGOterm,character-method}
\alias{initialize,stamNode-method}
\alias{print,stamNode-method}
\alias{writeHTML,stamNode-method}

\title{Nodes in a Classifier Net by StAM}
\description{
  Objects of this class and its subclasses represent single nodes in a classifier net as
  it is used by structured analysis of microarray data.
}
\section{Objects from the Classes}{
  Objects can be created by calls of the form \code{new("stamNode", ID, supNode)}.
  \item{ID}{is the GO identifier as character string}
  \item{supNode}{indicates whether the node is a supplementary node to avoid nodes which 
    have both, genes directly annotated and children in the stamNet.}
}
\section{Slots}{
  \describe{
    \item{\code{ID}:}{Object of class \code{"character"}, holds the GO identifier as 
      character string}
    \item{\code{category}:}{Object of class \code{"character"}, represents the GO 
      ontology the node belongs (MF: molecular function, BP: biological process, CC: 
      cellular component).}
    \item{\code{replacedParents}:}{Object of class \code{"character"}, holds all GO 
      identifiers of nodes which have been removed, because the had only one child.}
    \item{\code{supNode}:}{Object of class \code{"logical"}, indicates whether the nodes 
      has been added to avoid nodes which  have both directly annotated genes as well as 
      children in the classifier graph}
  }
}
\section{Methods}{
  \describe{
    \item{getGOchildren}{\code{signature(x = "stamNode")}: returns the identifiers of the
      direct children of node x in the Gene Ontology.}
    \item{getGOchildren}{\code{signature(x = "character")}: returns the identifiers of 
      the direct children of the node with identifier x in the Gene Ontology.}
    \item{getGOparents}{\code{signature(x = "stamNode")}: returns the identifiers of the
      direct parents of node x in the Gene Ontology.}
    \item{getGOparents}{\code{signature(x = "character")}: returns the identifiers of the
      direct parents of the node with identifier x in the Gene Ontology.}
    \item{getGOterm}{\code{signature(x = "stamNode")}: returns the GO term represented by
      node x.}
    \item{getGOterm}{\code{signature(x = "character")}: returns the GO term represented by
      the node with identifier x.}
    \item{print}{\code{signature(x = "stamNode")} print information on the node.}
    \item{writeHTML}{\code{signature(x = "stamNode")} generate HTML information on the 
      node.}
  }
}
\author{Claudio Lottaz}
\seealso{\code{\link{stamLeaf-class}}, \code{\link{stamINode-class}}}
\keyword{classes}
